## network-config 0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-VERSION=0.1
+#VERSION=subversion-$(shell date +%d-%m-%y)
+VERSION=0.2
 DIST_NAME=network-config-${VERSION}
 PREFIX=/usr
