=== debian/changelog ===
network-config (0.2-2) unstable; urgency=medium

  * New Maintainer.(Closes: #780195)
  * debian/control:
      - Bumped Standards-Version to 3.9.6
      - Fixed spelling error in description (Closes: #707124)
      - Bumped debhelper to version 9
      - change in compat version 9
      - Change Maintainer
      - Added in Depends: ${misc:Depends}.
  * debian/network-config: Fixed spelling erro in man
  * debian/copyright:
      - Updated format copyright
      - Insert my copyright in debian/*
  * Update new format to 3.0 (Closes: #664362)
  * debian/rules:
      - Update rules for simple dh (thanks Gianfranco Costamagna)
  * debian/docs:
      - Added README and NEWS
  * debian/manpages:
      - Change correct local for manpages
  * Remove directory patched is deprecated

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 31 Aug 2015 20:19:51 -0300

network-config (0.2-1) unstable; urgency=low

  * New upstream release:
    - added scrollbar in the main window 
    - fixed many bugs 
    - added run script at the end from main preferences and for each
      configuration 
    - saves the window size 
    - don't show wifi networks with no name 
    - "Config" and "Appearance" swapped 
    - bigger entries (in Main->Preferences for example) 
    - small bugs still remain
  * Removed debian/patches/03-wpasupplicant.dpatch
    - It's fixed in upstream version
  * debian/copyright:
    - Updated download URL
    - Updated Copyright line
  * debian/control:
    - Removed needless dividing line from long description

 -- Marvin Stark <marv@der-marv.de>  Mon, 07 Apr 2008 20:24:05 +0000

network-config (0.1-4) unstable; urgency=low

  * Changed Standards-Version to 3.7.3
  * wpasupplicant does not support argument -w anymore (Closes: #460627)
    Thanks to Kel Modderman
  * Made menu file lintian clean

 -- Marvin Stark <marv@der-marv.de>  Thu, 14 Feb 2008 18:10:49 +0000

network-config (0.1-3) unstable; urgency=low

  * Changed menu file for Menu transition.

 -- Marvin Stark <marv@der-marv.de>  Mon, 09 Jul 2007 14:46:57 +0000

network-config (0.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Marvin Stark <marv@der-marv.de>  Thu, 29 Mar 2007 09:21:00 +0200

network-config (0.1-1) experimental; urgency=low

  * Initial release (Closes: #381802)

 -- Marvin Stark <marv@der-marv.de>  Tue,  9 Jan 2007 17:23:03 +0000
