=== debian/control ===
Source: network-config
Section: utils
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9)
Homepage: http://network-config.sourceforge.net
Standards-Version: 3.9.6

Package: network-config
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libglib-perl, libgtk2-perl, gksu, wireless-tools, wpasupplicant, iptables
Description: Simple network configuration tool
 Network-config is a simple and easy to use program that helps configuring
 the network interfaces for linux-based operating systems.
 It allows have multiple configurations for the same computer and to
 easy configure NAT for internet sharing. It can also be used to scan for
 wireless networks. It is written in perl and uses gtk2+ but also works
 as a command line program.
