=== debian/watch ===
version=3
http://sf.net/network-config/network-config-(.*)\.tar\.gz
